Kirjoittaja Aihe: Draftsight asennus ei onnistu  (Luettu 5224 kertaa)

rantha

  • Käyttäjä
  • Viestejä: 31
    • Profiili
Draftsight asennus ei onnistu
« : 12.10.13 - klo:22.44 »
Olen yrittänyt useilla netistä löytyvillä ohjeilla asentaa Draftsight-ohjelmaa tähän 64bit 12.04 ubuntuun. GDebi paketinasentaja antaa tällaisen virheen:

Error: Ei voi asentaa "libgl1-mesa-glx:i386"

Mistä on kyse ja miten korjata? Osaisiko joku auttaa?
« Viimeksi muokattu: 15.10.13 - klo:22.17 kirjoittanut rantha »

mrl586

  • Käyttäjä
  • Viestejä: 4638
    • Profiili
Vs: Draftsight asennus ei onnistu
« Vastaus #1 : 13.10.13 - klo:00.29 »
Mitä apt-cache policy libgl1-mesa-glx:i386 sanoo?

rantha

  • Käyttäjä
  • Viestejä: 31
    • Profiili
Vs: Draftsight asennus ei onnistu
« Vastaus #2 : 13.10.13 - klo:08.36 »
Meniköhän oikein

kotikone13@kotikone13-MS-7695:~$ apt-cache policy libgl1-mesa-glx:i386
libgl1-mesa-glx:i386:
  Asennettu: (ei mitään)
  Ehdokas:   8.0.4-0ubuntu0.6
  Versiotaulukko:
     8.0.4-0ubuntu0.6 0
        500 http://fi.archive.ubuntu.com/ubuntu/ precise-updates/main i386 Packages
        500 http://security.ubuntu.com/ubuntu/ precise-security/main i386 Packages
     8.0.2-0ubuntu3 0
        500 http://fi.archive.ubuntu.com/ubuntu/ precise/main i386 Packages

Puuttuuko tuo paketti?

nm

  • Käyttäjä
  • Viestejä: 16292
    • Profiili
Vs: Draftsight asennus ei onnistu
« Vastaus #3 : 13.10.13 - klo:13.41 »
Meniköhän oikein

kotikone13@kotikone13-MS-7695:~$ apt-cache policy libgl1-mesa-glx:i386
libgl1-mesa-glx:i386:
  Asennettu: (ei mitään)
  Ehdokas:   8.0.4-0ubuntu0.6
  Versiotaulukko:
     8.0.4-0ubuntu0.6 0
        500 http://fi.archive.ubuntu.com/ubuntu/ precise-updates/main i386 Packages
        500 http://security.ubuntu.com/ubuntu/ precise-security/main i386 Packages
     8.0.2-0ubuntu3 0
        500 http://fi.archive.ubuntu.com/ubuntu/ precise/main i386 Packages

Puuttuuko tuo paketti?


Puuttuu, eli ei ole asennettuna järjestelmääsi. GDebin pitäisi kyllä osata asentaa tuokin riippuvuus automaattisesti, mutta ehkä i386-version asennus 64-bittiseen järjestelmään tökkii jonkun bugin vuoksi. Kokeile asentaa kyseinen paketti itse (esim. päätteessä: sudo apt-get install libgl1-mesa-glx:i386)

rantha

  • Käyttäjä
  • Viestejä: 31
    • Profiili
Vs: Draftsight asennus ei onnistu
« Vastaus #4 : 13.10.13 - klo:21.27 »
Loistavaa, tämä tepsi! Kiitos paljon!

rantha

  • Käyttäjä
  • Viestejä: 31
    • Profiili
Vs: Draftsight asennus ei onnistu
« Vastaus #5 : 15.10.13 - klo:22.19 »
Ja nyt kun uudestaan yritän asentaa tätä koko järjestelmän asennuksen jälkeen, tulee seuraava ilmoitus

Joitakin paketteja ei voitu asentaa. On ehkä vaadittu mahdottomia tai,
jos käytetään epävakaata jakelua, joitain vaadittuja paketteja ei ole
vielä luotu tai siirretty Incoming-kansiosta.
Seuraavista tiedoista voi olla hyötyä selvitettäessä tilannetta:

Näillä paketeilla on tyydyttämättömiä riippuvuuksia:
 libgl1-mesa-glx:i386 : Riippuvuudet: libglapi-mesa:i386 (= 8.0.4-0ubuntu0.6)
                        Suosittelut: libgl1-mesa-dri:i386 (>= 7.2)
E: Pulmia ei voi korjata, rikkinäisiä paketteja on pysytetty.


Voikos näitä sitten korjata?


mrl586

  • Käyttäjä
  • Viestejä: 4638
    • Profiili
Vs: Draftsight asennus ei onnistu
« Vastaus #6 : 01.02.14 - klo:13.14 »
Onko paketti xdg-utils asennettuna?

####¤¤¤¤####

  • Käyttäjä
  • Viestejä: 53
    • Profiili
Vs: Draftsight asennus ei onnistu
« Vastaus #7 : 01.02.14 - klo:13.22 »
Onko paketti xdg-utils asennettuna?

Paketti on asennettu, kun yritän asentaa sitä sieltä tulee ilmoitus että xdg-utils asennettu.
Tuon draftsightin saa asennettua mutta sinne jää virhe juuri tuosta  xdg-utils paketista eikä konetta voi päivittää ennen kuin riippuvuudet on korjattu.
Eli draftsight poistetaan, kun tulee päivityksiä. >:(
Ubuntu 16.04 intel core2 Q6600 2.40GHz  GeForce GTS 450-1Gt,
Ubuntu 16.04 intel Centrino2 Elitebook 6930p

####¤¤¤¤####

  • Käyttäjä
  • Viestejä: 53
    • Profiili
Vs: Draftsight asennus ei onnistu
« Vastaus #8 : 01.02.14 - klo:14.57 »
Nyt onnistui vanhan asennuksen päälle. (2013)

http://www.atareao.es/descargas/scripts/

Latasin tuolta dratsight scriptin http://aijaa.com/zzl9WS ja tein viime vuonna dratsight.64 paketin.
http://aijaa.com/vYNhuO

Poistin tänä vuonna draftsight kansiosta kummatkin dratsight ja  dratsight.64 paketit.
Latasin uuden dratsight.deb paketin ja ajoin uuden scriptin jolloi uusi dratsight.64 paketti syntyi ja asensin sen jolloin ohjelma lähti toimimaan.

http://aijaa.com/kA90PO

Muistaakseni tuolta piti control paketti purkaa ja sieltä control tiedostosta poistaa libdirectfb-extra tiedosto ja uudestaan pakata control.
Tässä ohje:
http://linuxaideddesign.blogspot.fi/2012/03/draftsight-and-ubuntu-1204-lts-64bit.html

Kuukausi tässä meni mutta nyt toimii: http://www.riemurasia.net/rasiatube/view.php?id=38701
« Viimeksi muokattu: 01.02.14 - klo:15.47 kirjoittanut ####¤¤¤¤#### »
Ubuntu 16.04 intel core2 Q6600 2.40GHz  GeForce GTS 450-1Gt,
Ubuntu 16.04 intel Centrino2 Elitebook 6930p

nm

  • Käyttäjä
  • Viestejä: 16292
    • Profiili
Vs: Draftsight asennus ei onnistu
« Vastaus #9 : 03.02.14 - klo:02.06 »
Näillä paketeilla on tyydyttämättömiä riippuvuuksia:
 libgl1-mesa-glx:i386 : Riippuvuudet: libglapi-mesa:i386 (= 8.0.4-0ubuntu0.6)
                        Suosittelut: libgl1-mesa-dri:i386 (>= 7.2)
E: Pulmia ei voi korjata, rikkinäisiä paketteja on pysytetty.[/i]

Voikos näitä sitten korjata?

Yritätkö asentaa DraftSight V1R4:ää? Uudessa V1R5:ssä ei enää pitäisi olla ongelmaa noiden libgl-riippuvuuksien kanssa, mutta niiden sijaan paketointi valittaa xdg-utilsista:

Koodia: [Valitse]
dpkg: riippuvuusongelmat estävät paketin draftsight:i386 asetusten asettamisen:
 draftsight:i386 riippuu paketista xdg-utils.
dpkg: virhe käsiteltäessä draftsight:i386 (--install):
 riippuvuusongelmia - jätetään asetukset säätämättä
Käsittelyssä tapahtui liian monta virhettä:
 draftsight:i386

Tämän voi korjata soveltamalla seuraavaa ohjetta:

http://linuxaideddesign.blogspot.fi/2012/03/draftsight-and-ubuntu-1204-lts-64bit.html


Tässä vielä lisää informaatiota V1R5:n muutoksista:

http://linuxaideddesign.blogspot.fi/2014/01/draftsight-v1r5-is-out-with-lot-of.html

http://blogs.solidworks.com/solidworksblog/2014/01/draftsight-v1r5-0-includes-new-features-for-free-enterprise-and-professional-versions.html